lsusb(8)

NAME
lsusb - list USB devices

SYNOPSIS
lsusb [ options ]

DESCRIPTION
lsusb is a utility for displaying information about USB buses in the system and the devices connected to them. To make use of all the features of this program, you need to have a Linux kernel which supports the /proc/bus/usb interface (e.g., Linux kernel 2.3.15 or newer).

OPTIONS

-v, --verbose
    Tells lsusb to be verbose and display detailed information about the devices shown. This includes configuration descriptors for the device's current speed. Class descriptors will be shown, when available, for USB device classes including hub, audio, HID, communications, and chipcard.

-s [[bus]:][devnum]
    Show only devices in specified bus and/or devnum. Both ID's are given in hexadecimal and may be omitted.

-d [vendor]:[product]
    Show only devices with the specified vendor and product ID. Both ID's are given in hexadecimal.

-D device
    Do not scan the /proc/bus/usb directory, instead display only information about the device whose device file is given. The device file should be something like /proc/bus/usb/001/001. This option displays detailed information like the v option; you must be root to do this.

-t  Tells lsusb to dump the physical USB device hierarchy as a tree.

-V, --version
    Print version information on standard output, then exit successfully.

DIAGNOSTICS

cannot open /proc/bus/usb/nnn/nnn, Permission denied (13)
    To get detailed information, lsusb must open the files in /proc/bus/usb in read-write mode. You must be root in order to do this.

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.

FILES

/usr/share/usb.ids
    A list of all known USB ID's (vendors, products, classes, subclasses and protocols).

/proc/bus/usb
    An interface to USB devices provided by the post-2.3.15 Linux kernels. Contains per-bus subdirectories with per-device files and a devices file displaying some of the descriptors for each USB device. This interface is also support by some 2.2 Linux kernels.

SEE ALSO
lspci(8)

AUTHOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.